#
# Design sources
#

echo "Compiling Design Packages"
vcom  -quiet -work work -2008 "../../../vhdl_models/dma_package_v0.vhd"                        
vcom  -quiet -work work -2008 "../../../vhdl_models/transceiver_package_v1.vhd"
vlog  -quiet -work work "../../../xilinx_libraries/glbl.v"

echo "Compiling QDR SRAM Cores"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_of_pre_fifo.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_if_post_fifo.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_byte_group_io.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_of_pre_fifo.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_if_post_fifo.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_byte_group_io.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_byte_lane.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_byte_lane.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_read_vld_gen.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_read_stage2_cal.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_read_data_align.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_rdlvl.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_cntrl_init.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_4lanes.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_write_init_sm.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_write_data_io.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_write_control_io.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_read_vld_gen.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_read_stage2_cal.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_read_data_align.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_rdlvl.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_cntrl_init.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_4lanes.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_write_init_sm.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_write_data_io.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_write_control_io.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_read_top.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_mc_phy.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_write_top.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_byte_lane_map.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_read_top.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_mc_phy.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_write_top.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_byte_lane_map.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_top.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_top.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_iodelay_ctrl.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_infrastructure.v"
vlog  -quiet -incr  -work work  "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_clk_ibuf.v"
vcom  -quiet -work work -2008 "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/qdr_sram_a.vhd"
vcom  -quiet -work work -2008 "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/qdr_sram_b.vhd"
vcom  -quiet -work work -2008 "../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/dual_qdr_sram.vhd"

echo "Compiling Xilinx IP Cores"
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/simulation/fifo_generator_vhdl_beh.vhd"
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/fifo_generator_v12_0_pkg.vhd"
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/common/input_blk.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/common/output_blk.vhd"
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/common/shft_wrapper.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/common/shft_ram.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/common/wr_pf_as.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/common/wr_pf_ss.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/common/rd_pe_as.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/common/rd_pe_ss.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/builtin/delay.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/builtin/bin_cntr.vhd"
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/builtin/clk_x_pntrs_builtin.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/builtin/logic_builtin.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/builtin/builtin_prim.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/builtin/builtin_extdepth.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/builtin/builtin_top.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/builtin/reset_builtin.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/builtin/builtin_prim_v6.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/builtin/builtin_extdepth_v6.vhd"
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/builtin/builtin_extdepth_low_latency.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/builtin/builtin_top_v6.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/builtin/fifo_generator_v12_0_builtin.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/ramfifo/bram_sync_reg.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/ramfifo/bram_fifo_rstlogic.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/ramfifo/reset_blk_ramfifo.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/ramfifo/axi_reg_slice.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/fifo_generator_top_bi_sim.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/fifo_generator_v12_0_synth.vhd" 
vcom  -quiet -work fifo_generator_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/fifo_generator_v12_0/hdl/fifo_generator_v12_0_top.vhd"                                                                                                                                                                        
vcom  -quiet -work xbip_utils_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_utils_v3_0/hdl/xbip_utils_v3_0_pkg.vhd"
vcom  -quiet -work xbip_utils_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_utils_v3_0/hdl/xcc_utils_v3_0.vhd"
vcom  -quiet -work c_reg_fd_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_reg_fd_v12_0/hdl/c_reg_fd_v12_0_comp.vhd"
vcom  -quiet -work c_reg_fd_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_reg_fd_v12_0/hdl/c_reg_fd_v12_0_viv_comp.vhd"
vcom  -quiet -work c_reg_fd_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_reg_fd_v12_0/hdl/c_reg_fd_v12_0_viv.vhd"
vcom  -quiet -work c_reg_fd_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_reg_fd_v12_0/hdl/c_reg_fd_v12_0.vhd"
vcom  -quiet -work xbip_dsp48_wrapper_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48_wrapper_v3_0_pkg.vhd"
vcom  -quiet -work xbip_dsp48_wrapper_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48a_wrapper_v3_0.vhd"
vcom  -quiet -work xbip_dsp48_wrapper_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48a1_wrapper_v3_0.vhd"
vcom  -quiet -work xbip_dsp48_wrapper_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48e_wrapper_v3_0.vhd"
vcom  -quiet -work xbip_dsp48_wrapper_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48e1_wrapper_v3_0.vhd"
vcom  -quiet -work xbip_dsp48_wrapper_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48e2_wrapper_v3_0.vhd"
vcom  -quiet -work xbip_dsp48_wrapper_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48_wrapper_v3_0.vhd"
vcom  -quiet -work xbip_pipe_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_pipe_v3_0/hdl/xbip_pipe_v3_0_viv_comp.vhd"
vcom  -quiet -work xbip_pipe_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_pipe_v3_0/hdl/xbip_pipe_v3_0_comp.vhd"
vcom  -quiet -work xbip_pipe_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_pipe_v3_0/hdl/xbip_pipe_v3_0_viv.vhd"
vcom  -quiet -work xbip_pipe_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_pipe_v3_0/hdl/xbip_pipe_v3_0.vhd"
vcom  -quiet -work xbip_dsp48_addsub_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_v3_0_viv_comp.vhd"
vcom  -quiet -work xbip_dsp48_addsub_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_v3_0_comp.vhd"
vcom  -quiet -work xbip_dsp48_addsub_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_v3_0_pkg.vhd"
vcom  -quiet -work xbip_dsp48_addsub_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_rtl.vhd"
vcom  -quiet -work xbip_dsp48_addsub_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_synth.vhd"
vcom  -quiet -work xbip_dsp48_addsub_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_v3_0_viv.vhd"
vcom  -quiet -work xbip_dsp48_addsub_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_v3_0.vhd"
vcom  -quiet -work xbip_addsub_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_addsub_v3_0/hdl/xbip_addsub_v3_0_comp.vhd"
vcom  -quiet -work xbip_addsub_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_addsub_v3_0/hdl/xbip_addsub_v3_0_viv_comp.vhd"
vcom  -quiet -work xbip_addsub_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_addsub_v3_0/hdl/xbip_addsub_v3_0_viv.vhd"
vcom  -quiet -work xbip_addsub_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_addsub_v3_0/hdl/xbip_addsub_v3_0.vhd"
vcom  -quiet -work c_addsub_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_addsub_v12_0/hdl/c_addsub_v12_0_comp.vhd"
vcom  -quiet -work c_addsub_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_addsub_v12_0/hdl/c_addsub_v12_0_viv_comp.vhd"
vcom  -quiet -work c_addsub_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_addsub_v12_0/hdl/c_addsub_v12_0_pkg.vhd"
vcom  -quiet -work c_addsub_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_addsub_v12_0/hdl/c_addsub_v12_0_pkg_legacy.vhd"
vcom  -quiet -work c_addsub_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_addsub_v12_0/hdl/c_addsub_v12_0_lut6_legacy.vhd"
vcom  -quiet -work c_addsub_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_addsub_v12_0/hdl/c_addsub_v12_0_base_legacy.vhd"
vcom  -quiet -work c_addsub_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_addsub_v12_0/hdl/c_addsub_v12_0_fabric_legacy.vhd"
vcom  -quiet -work c_addsub_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_addsub_v12_0/hdl/c_addsub_v12_0_legacy.vhd"
vcom  -quiet -work c_addsub_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_addsub_v12_0/hdl/c_addsub_v12_0_viv.vhd"
vcom  -quiet -work c_addsub_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_addsub_v12_0/hdl/c_addsub_v12_0.vhd"
vcom  -quiet -work c_gate_bit_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_gate_bit_v12_0/hdl/c_gate_bit_v12_0_comp.vhd"
vcom  -quiet -work c_gate_bit_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_gate_bit_v12_0/hdl/c_gate_bit_v12_0_viv_comp.vhd"
vcom  -quiet -work c_gate_bit_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_gate_bit_v12_0/hdl/pkg_gate_bit_v12_0.vhd"
vcom  -quiet -work c_gate_bit_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_gate_bit_v12_0/hdl/c_gate_bit_tile.vhd"
vcom  -quiet -work c_gate_bit_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_gate_bit_v12_0/hdl/c_gate_bit_tier.vhd"
vcom  -quiet -work c_gate_bit_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_gate_bit_v12_0/hdl/c_gate_bit_v12_0_viv.vhd"
vcom  -quiet -work c_gate_bit_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_gate_bit_v12_0/hdl/c_gate_bit_v12_0.vhd"
vcom  -quiet -work xbip_counter_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_counter_v3_0/hdl/xbip_counter_v3_0_viv_comp.vhd"
vcom  -quiet -work xbip_counter_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_counter_v3_0/hdl/xbip_counter_v3_0_comp.vhd"
vcom  -quiet -work xbip_counter_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_counter_v3_0/hdl/xbip_counter_v3_0_pkg.vhd"
vcom  -quiet -work xbip_counter_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_counter_v3_0/hdl/xbip_counter_v3_0_hdl_comps.vhd"
vcom  -quiet -work xbip_counter_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_counter_v3_0/hdl/dsp48_counter.vhd"
vcom  -quiet -work xbip_counter_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_counter_v3_0/hdl/fabric_counter.vhd"
vcom  -quiet -work xbip_counter_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_counter_v3_0/hdl/xbip_counter_v3_0_viv.vhd"
vcom  -quiet -work xbip_counter_v3_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/xbip_counter_v3_0/hdl/xbip_counter_v3_0.vhd"
vcom  -quiet -work c_counter_binary_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_counter_binary_v12_0/hdl/c_counter_binary_v12_0_viv_comp.vhd"
vcom  -quiet -work c_counter_binary_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_counter_binary_v12_0/hdl/c_counter_binary_v12_0_comp.vhd"
vcom  -quiet -work c_counter_binary_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_counter_binary_v12_0/hdl/c_counter_binary_v12_0_legacy.vhd"
vcom  -quiet -work c_counter_binary_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_counter_binary_v12_0/hdl/c_counter_binary_v12_0_pkg.vhd"
vcom  -quiet -work c_counter_binary_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_counter_binary_v12_0/hdl/c_counter_binary_v12_0_viv.vhd"
vcom  -quiet -work c_counter_binary_v12_0 -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/c_counter_binary_v12_0/hdl/c_counter_binary_v12_0.vhd"
vcom  -quiet -work blk_mem_gen_v8_2 -2008 "../../../SigFPGA/ip_sources/vivado/dma_on_demand_memory_xc7k160t_v0/blk_mem_gen_v8_2/simulation/blk_mem_gen_v8_2.vhd"
vcom  -quiet -work work -2008 "../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/sim/counter_32.vhd"
vcom  -quiet -work work -2008 "../../../SigFPGA/ip_sources/vivado/dma_on_demand_memory_xc7k160t_v0/sim/dma_on_demand_memory.vhd"
vcom  -quiet -work work -2008 "../../../SigFPGA/ip_sources/vivado/fifo_channel_1kx64_xc7k160t_v0/sim/fifo_channel_1kx64.vhd"
vcom  -quiet -work work -2008 "../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/sim/fifo_dma_1kx64.vhd"
                                           
echo "Compiling SigFPGA VHDL files"
vcom  -quiet -work work -2008 "../../../vhdl_models/clock_crossing_v0.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/bar2_channel_v0.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/bar2_common_v3.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/bar2_decoder_v2.vhd"          
vcom  -quiet -work work -2008 "../../../vhdl_models/bar0_decoder_v2.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/clock_init_v1.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/clock_lock_v1.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/clock_route_v1.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/dac_interface_v0.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/dma_on_demand_v0.vhd"       
vcom  -quiet -work work -2008 "../../../vhdl_models/interrupt_timer_v0.vhd"             
vcom  -quiet -work work -2008 "../../../vhdl_models/serial_bus_v2.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/synchronizer_v0.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/adc_interface_v1.vhd"         
vcom  -quiet -work work -2008 "../../../vhdl_models/rx_flow_control_v0.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/tx_flow_control_v0.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/dma_write_fifo_v0.vhd"                
vcom  -quiet -work work -2008 "../../../vhdl_models/dma_read_fifo_v0.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/tx_datapath_v0.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/rx_datapath_v1.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/qdr_sram_v1.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/interrupt_controller_v1.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/bpi_flash_v0.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/pci_performance_v2.vhd"
vcom  -quiet -work work -2008 "../src/arbiter_v0.vhd"
vcom  -quiet -work work -2008 "../src/rx_synthetic_sin_wave_v0.vhd"
vcom  -quiet -work work -2008 "../src/pci_target_emulator_v2.vhd"
vcom  -quiet -work work -2008 "../src/rx_dma_emulator_v2.vhd"
vcom  -quiet -work work -2008 "../src/tx_dma_emulator_v1.vhd"
vcom  -quiet -work work -2008 "../src/pci_express_v1.vhd"
vcom  -quiet -work work -2008 "../../../vhdl_models/transceiver_v3.vhd"
vcom  -quiet -work work -2008 "../src/SigFPGA_tb_v2.vhd"

